xrootd (5.7.0-2) unstable; urgency=medium

  * Fix spelling error in patch directory (pattches → patches)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 05 Jul 2024 16:41:18 +0200

xrootd (5.7.0-1) unstable; urgency=medium

  * Update to version 5.7.0
  * Drop patches accepted upstream
  * Move systemd unit files to /usr/lib/systemd/system (Closes: #1073678)
  * Reduce socket path lengths used by tests
  * Fix compilation error due to hidden overloaded virtual

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 02 Jul 2024 17:23:50 +0200

xrootd (5.6.9-2) unstable; urgency=medium

  * Avoid test failures due to using the same port numbers in different tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 26 Mar 2024 05:38:00 +0100

xrootd (5.6.9-1) unstable; urgency=medium

  * Update to version 5.6.9
  * Fix build with 64 bit time_t (Closes: #1067015)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 16 Mar 2024 13:24:01 +0100

xrootd (5.6.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063298

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 07:58:29 +0000

xrootd (5.6.7-1) unstable; urgency=medium

  * Update to version 5.6.7

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Feb 2024 15:47:53 +0100

xrootd (5.6.6-1) unstable; urgency=medium

  * Update to version 5.6.6

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 26 Jan 2024 10:15:04 +0100

xrootd (5.6.5-1) unstable; urgency=medium

  * Update to version 5.6.5
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jan 2024 21:54:54 +0100

xrootd (5.6.4-1) unstable; urgency=medium

  * Update to version 5.6.4
  * Drop patches accepted upstream or previously backported
  * Fix missing include for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 12:41:01 +0100

xrootd (5.6.3-8) unstable; urgency=medium

  * Fail gracefully in case of unsupported extended file attributes
  * Avoid null bytes in error message strings
  * Fix include path in XRootDConfig.cmake
  * Avoid dereferencing unaligned pointers
  * Support big endian in XrdZip

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Dec 2023 09:08:39 +0100

xrootd (5.6.3-7) unstable; urgency=medium

  * Disable XrdEc tests if file system does not support extended attributes

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Nov 2023 12:46:27 +0100

xrootd (5.6.3-6) unstable; urgency=medium

  * Avoid /tmp when running some tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Nov 2023 09:10:51 +0100

xrootd (5.6.3-5) unstable; urgency=medium

  * Enable erasure code support (XrdEc)
  * New binary package libxrdec1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 19 Nov 2023 22:10:50 +0100

xrootd (5.6.3-4) unstable; urgency=medium

  * Move installed CMake files to LIBDIR since they are now arch dependent
  * Update patch for TCP_CORK on GNU/Hurd to the version accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Nov 2023 03:59:33 +0100

xrootd (5.6.3-3) unstable; urgency=medium

  * Fix test issues (Closes: #1054994)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 29 Oct 2023 09:17:42 +0100

xrootd (5.6.3-2) unstable; urgency=medium

  * Explicitly disable ceph support on hurd os

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 28 Oct 2023 11:15:45 +0200

xrootd (5.6.3-1) unstable; urgency=medium

  * Update to version 5.6.3
  * Drop patches accepted upstream or previously backported
  * Enable tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 27 Oct 2023 16:04:42 +0200

xrootd (5.6.2-3) unstable; urgency=medium

  * Drop ceph support for 32 bit architectures (Closes: #1053200)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 01 Oct 2023 05:39:19 +0200

xrootd (5.6.2-2) unstable; urgency=medium

  * Backport fix for Authfile parsing regression

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 18 Sep 2023 15:39:24 +0200

xrootd (5.6.2-1) unstable; urgency=medium

  * Update to version 5.6.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 16 Sep 2023 05:05:00 +0200

xrootd (5.6.1-1) unstable; urgency=medium

  * Update to version 5.6.1
  * Add --use-pep517 --no-build-isolation to pip options

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 12 Jul 2023 17:39:02 +0200

xrootd (5.6.0-1) unstable; urgency=medium

  * Update to version 5.6.0
  * Drop patches (changes implemented upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Jul 2023 13:22:50 +0200

xrootd (5.5.5-1) unstable; urgency=medium

  * Update to version 5.5.5

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Jun 2023 11:20:36 +0200

xrootd (5.5.3-1) unstable; urgency=medium

  * Update to version 5.5.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 18 Feb 2023 13:45:08 +0100

xrootd (5.5.2-1) unstable; urgency=medium

  * Update to version 5.5.2
  * Drop patches accepted upstream or previously backported
  * Move systemd unit files back to /lib/systemd/system

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Feb 2023 19:58:10 +0100

xrootd (5.5.1-3) unstable; urgency=medium

  * Backport fix from upstream to fix Python 3.11 build (Closes: #1027584)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 06 Jan 2023 13:29:40 +0100

xrootd (5.5.1-2) unstable; urgency=medium

  * Check all sizes (8, 16, 32, 64) in <atomic> check

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 20 Oct 2022 09:18:28 +0200

xrootd (5.5.1-1) unstable; urgency=medium

  * Update to version 5.5.1
  * Drop doxygen patch accepted upstream
  * Check operator++ in <atomic> check

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 20 Oct 2022 03:44:52 +0200

xrootd (5.5.0-1) unstable; urgency=medium

  * Update to version 5.5.0
  * Drop patches accepted upstream
  * Address some warnings from Doxygen
  * Move documentation dependencies to Build-Depends-Indep (Closes: #983343)
  * Update lintian overrides

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 28 Aug 2022 21:22:16 +0200

xrootd (5.4.3-2) unstable; urgency=medium

  * Update the list of architectures for which the ceph module is built

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 13 Jun 2022 13:58:58 +0200

xrootd (5.4.3-1) unstable; urgency=medium

  * Update to version 5.4.3
  * Drop patches accepted upstream or previously backported
  * Add Build-Depends python3-wheel
  * Use environment variable DEB_PYTHON_INSTALL_LAYOUT=deb during install

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 10 Jun 2022 18:43:22 +0200

xrootd (5.4.2-2) unstable; urgency=medium

  * Improve detection of when libatomic is needed - send patch upstream
  * Fix sphinx doc
  * Backport fixes from upstream git master (OpenSSL 3, Python 3.10)
  * Add Build-Depends python3-pip

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 23 Apr 2022 23:53:20 +0200

xrootd (5.4.2-1) unstable; urgency=medium

  * Update to version 5.4.2
  * More OpenSSL 3 fixes (Closes: #1006409)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 04 Mar 2022 10:17:34 +0100

xrootd (5.4.1-1) unstable; urgency=medium

  * Update to version 5.4.1
  * Drop patches accepted upstream:
    - 0001-Fix-compilation-when-char-is-unsigned.patch
    - 0001-Fix-compilation-on-GCC-4.8.patch
    - 0001-Add-missing-include.patch
  * Ignore -Warray-bounds warnings from stricter check in gcc 12

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 24 Feb 2022 13:49:50 +0100

xrootd (5.4.0-2) unstable; urgency=medium

  * Don't use unimplemented regex functions on EPEL 7.
  * Add missing include (GNU/Hurd)
  * Define ENODATA if not defined (kFreeBSD)
  * Link with libatomic on some 32-bit architectures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 14 Dec 2021 17:45:33 +0100

xrootd (5.4.0-1) unstable; urgency=medium

  * Update to version 5.4.0
  * Drop patch accepted upstream: 0001-Do-not-hardcode-error-numbers.patch
  * Fix build failure on platforms where char is unsigned
  * Fix build failure with older regex

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 11 Dec 2021 09:09:25 +0100

xrootd (5.3.4-1) unstable; urgency=medium

  * Update to version 5.3.4

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 30 Nov 2021 14:05:12 +0100

xrootd (5.3.3-1) unstable; urgency=medium

  * Update to version 5.3.3
  * Drop patches accepted upstream:
    - 0001-Fix-compilation-failure-on-32-bit-architectures.patch
    - 0001-Fix-build-failure-on-platforms-where-char-is-unsigne.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 Nov 2021 10:02:41 +0100

xrootd (5.3.2-1) unstable; urgency=medium

  * Update to version 5.3.2
  * Drop patches accepted upstream
  * Do not hardcode Linux error numbers
  * Fix build failure on platforms where char is unsigned
  * Use the OpenSSL 3 compatible code

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 02 Nov 2021 12:03:18 +0100

xrootd (5.3.1-4) unstable; urgency=medium

  * Try linking to libatomic on riscv64

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 05 Sep 2021 11:45:44 +0200

xrootd (5.3.1-3) unstable; urgency=medium

  * Expand the atomics test to test for char (8 bit) versions in
    addition to long long (64 bit) versions (better fix for riscv64)
  * Work around inconsistent type definitions on MIPS

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 05 Sep 2021 05:10:58 +0200

xrootd (5.3.1-2) unstable; urgency=medium

  * Re-upload source only
  * Fix compilation on some 32 bit architectures (Closes: #993611)
  * Link to libatomic when needed (riscv64)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 04 Sep 2021 09:32:33 +0200

xrootd (5.3.1-1) unstable; urgency=medium

  * Update to version 5.3.1
  * Add new binary packages:
    - xrootd-client-http-plugins
    - xrootd-scitokens-plugins
    - libxrdcephposix0
    - xrootd-ceph-plugins
  * Disable ceph dependent packages for architectures without java
  * Drop patches (accepted upstream or previously backported)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 28 Aug 2021 22:03:58 +0200

xrootd (5.0.3-4) unstable; urgency=medium

  * Fix compilation on GNU/kFreeBSD

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 19 Dec 2020 19:58:41 +0100

xrootd (5.0.3-3) unstable; urgency=medium

  * Fix compilation on GNU/Hurd
  * Don't build xrootd-fuse on GNU/Hurd (libfuse is incomplete)
    https://www.gnu.org/software/hurd/hurd/libfuse.html

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 27 Nov 2020 11:34:49 +0100

xrootd (5.0.3-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 23 Nov 2020 20:40:10 +0100

xrootd (5.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #975021)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 16 Nov 2020 10:50:38 +0100
